TPMPUBLIC2ECCPOINT(1)

NAME
tpmpublic2eccpoint - Runs TPM2 tpmpublic2eccpoint

DESCRIPTION
tpmpublic2eccpoint

Converts an EC TPM2B_PUBLIC to TPM2B_ECC_POINT. The intended use case is to convert the public key output of certain commands (TPM2_CreatePrimary, TPM2_Create, TPM2_CreateLoaded, TPM2_ReadPublic) to a format useful for TPM2_ZGen_2Phase.

-ipu
    EC public key input file in TPM TPM2B_PUBLIC format

-pt EC public key output file in TPM TPM2B_ECC_POINT format